
Summary: Exploring Euclidean geometry 
Name:    kseg	
Version: 0.403
Release: 1%{?dist}

License: GPL
Url:     http://www.mit.edu/~ibaran/kseg.html	
Source:  http://www.mit.edu/~ibaran/kseg-0.403.tar.gz
Group:   Applications/Engineering
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: kseg.sh
Source2: kseg.desktop
Source3: kseg.png

BuildRequires: qt-devel >= 1:3.3
BuildRequires: zlib-devel
BuildRequires: desktop-file-utils

%description
KSEG is a Linux program for exploring Euclidean geometry. 
KSEG was inspired by the Geometer's Sketchpad, but plans 
are to go beyond the functionality that it provides. 


%prep
%setup -q -n %{name}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

qmake

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

%define _appdir %{_libdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_appdir}/{examples,pics}
install -p -m755 kseg $RPM_BUILD_ROOT%{_appdir}/
install -p -m644 *.qm *.html $RPM_BUILD_ROOT%{_appdir}/
install -p -m644 examples/* $RPM_BUILD_ROOT%{_appdir}/examples/ 	
install -p -m644 pics/*	 $RPM_BUILD_ROOT%{_appdir}/pics/
install -p -D -m755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/kseg

install -p -D -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/kseg.png

desktop-file-install \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category="X-Fedora" --vendor="fedora" \
   %{SOURCE2}


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||: 
  
%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README*
%{_bindir}/*
%{_appdir}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Apr 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.403-1
- 0.403

* Mon Nov 07 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.402-1
- 0.402

* Thu Jul 15 2004 Rex Dieter <rexdieter at sf.net> 0:0.401-0.fdr.1
- 0.401

* Fri Mar 26 2004 Rex Dieter <rexdieter at sf.net> 0:0.4-0.fdr.2
- autodetect qt version
- cleanup desktop-file handling

* Mon Jan 12 2004 Rex Dieter <rexdieter at sf.net> 0:0.4-0.fdr.1
- patch for gcc33(FC1)
- (BuildRequires) qt-3.2

* Fri May 16 2003 Rex Dieter <rexdieter at sf.net> 0:0.4-0.fdr.0
- first try at 0.4 

